<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Basic JS - HW 3 - Math function</title>
</head>
<body>
    <script>
        'use strict';

        let num1 = +prompt('Enter your FIRST number: ');
        let num2 = +prompt('Enter your SECOND number: ');
        let operator = prompt('Enter your desired mathematical OPERATION:');
        let array = mathNumbers(num1, num2);
        let resultOfOperation = result(array[0], array[1], operator);
        console.log(resultOfOperation);

        function mathNumbers(num1, num2) {
            while (true) {
                if (isNaN(num1) || isNaN(num2) || !num1 || !num2) {
                    num1 = prompt('Enter your FIRST number', num1);
                    num2 = prompt('Enter your SECOND number', num2);
                } else {
                    return [num1, num2];
                }
            }
        }

        function result(num1, num2, operator) {
            switch (operator) {
                case '+':
                    return num1 + num2;
                case '-':
                    return num1 - num2;
                case '*':
                    return num1 * num2;
                case '/':
                    return num1 / num2;
            }
        }

        if (confirm('Do you wish to try again?')) {
            window.location.reload();
        }

    </script>
</body>
</html>